import matplotlib.pyplot as plt
import student_code52
import random

precision = 1

plot_range_low = -20
plot_range_high= 20


fullRange = plot_range_high-plot_range_low
numSteps = int(fullRange * precision)
stepSize = fullRange/numSteps

xValues = []
yValuesf = []
yValuesF = []
xAxis = []

for i in range(0,numSteps):
    x = plot_range_low + i*stepSize
    xValues.append(x)
    yValuesf.append(student_code52.f(x))
    yValuesF.append(student_code52.F(x))
    xAxis.append(0)

yValuesIntegrated = student_code52.numerical_integration(yValuesf,yValuesF[0],stepSize)   

a = random.randint(plot_range_low,plot_range_high-5)
b = random.randint(a+1,plot_range_high)


plt.plot(xValues,yValuesf,xValues,xAxis,'#000000')
plt.ylabel('f(x)')
plt.xlabel('x')
plt.title('Function f(x)')

ax = plt.gca()

plt.show() 


plt.plot(xValues,yValuesF,xValues,xAxis,'#000000')
plt.ylabel('F(x)')
plt.xlabel('x')
plt.title('Antiderivative F(x)')

ax = plt.gca()

plt.show()   


plt.plot(xValues,yValuesIntegrated,'o',xValues,xAxis,'#000000')
plt.ylabel('F(x)')
plt.xlabel('x')
plt.title('Numerical Integration of f(x)')

ax = plt.gca()


plt.show() 




